cursor sometimes disappears on XPS 13 9343 and external monitor

Bug #1467595 reported by Jamie Strandboge on 2015-06-22
42
This bug affects 8 people
Affects Status Importance Assigned to Milestone
Dell Sputnik
Undecided
Unassigned
Unity
Confirmed
High
Unassigned
unity (Ubuntu)
High
Unassigned
xorg (Ubuntu)
High
Unassigned

Bug Description

I have a new Dell XPS 13 9343 with the HiDPI touch screen and am using an external display port monitor. Occasionally, the mouse cursor disappears (sometimes after screen lock, other times just normal usage). I saw something on stack exchange that said this might help:

gsettings set org.gnome.settings-daemon.plugins.cursor active false

I've done this and it sometimes helps and sometimes doesn't. I've also just seen the cursor come back on its own after a few minutes without doing anything. Trying to interact with the touch screen, then the mouse has no effect. Unplugging and replugging the mouse has no effect. Using the touchpad has no effect.

ProblemType: Bug
DistroRelease: Ubuntu 15.04
Package: unity 7.3.2+15.04.20150420-0ubuntu1
ProcVersionSignature: Ubuntu 3.19.0-21.21-generic 3.19.8
Uname: Linux 3.19.0-21-generic x86_64
NonfreeKernelModules: wl
.tmp.unity.support.test.0:

ApportVersion: 2.17.2-0ubuntu1.1
Architecture: amd64
CompizPlugins: [core,composite,opengl,compiztoolbox,decor,vpswitch,snap,mousepoll,resize,place,move,wall,grid,regex,imgpng,session,gnomecompat,animation,fade,unitymtgrabhandles,workarounds,scale,expo,ezoom,unityshell]
CompositorRunning: compiz
CompositorUnredirectDriverBlacklist: '(nouveau|Intel).*Mesa 8.0'
CompositorUnredirectFSW: true
CurrentDesktop: Unity
Date: Mon Jun 22 11:19:40 2015
DistUpgraded: Fresh install
DistroCodename: vivid
DistroVariant: ubuntu
DkmsStatus:
 bcmwl, 6.30.223.248+bdcom, 3.19.0-18-generic, x86_64: installed
 bcmwl, 6.30.223.248+bdcom, 3.19.0-20-generic, x86_64: installed
 bcmwl, 6.30.223.248+bdcom, 3.19.0-21-generic, x86_64: installed
GraphicsCard:
 Intel Corporation Broadwell-U Integrated Graphics [8086:1616] (rev 09) (prog-if 00 [VGA controller])
   Subsystem: Dell Device [1028:0665]
InstallationDate: Installed on 2015-06-13 (8 days ago)
InstallationMedia: Ubuntu 15.04 "Vivid Vervet" - Release amd64 (20150422)
MachineType: Dell Inc. XPS 13 9343
ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-3.19.0-21-generic root=UUID=7bc4dcd2-0bd8-4e42-b8b7-9f1ed6b8a3e9 ro libata.force=noncq quiet splash vt.handoff=7
SourcePackage: unity
UdevLog: Error: [Errno 2] No such file or directory: '/var/log/udev'
UpgradeStatus: No upgrade log present (probably fresh install)
dmi.bios.date: 03/25/2015
dmi.bios.vendor: Dell Inc.
dmi.bios.version: A03
dmi.board.name: 0310JH
dmi.board.vendor: Dell Inc.
dmi.board.version: A00
dmi.chassis.type: 9
dmi.chassis.vendor: Dell Inc.
dmi.modalias: dmi:bvnDellInc.:bvrA03:bd03/25/2015:svnDellInc.:pnXPS139343:pvr01:rvnDellInc.:rn0310JH:rvrA00:cvnDellInc.:ct9:cvr:
dmi.product.name: XPS 13 9343
dmi.product.version: 01
dmi.sys.vendor: Dell Inc.
version.compiz: compiz 1:0.9.12.1+15.04.20150410.1-0ubuntu1
version.ia32-libs: ia32-libs N/A
version.libdrm2: libdrm2 2.4.60-2
version.libgl1-mesa-dri: libgl1-mesa-dri 10.5.2-0ubuntu1
version.libgl1-mesa-dri-experimental: libgl1-mesa-dri-experimental N/A
version.libgl1-mesa-glx: libgl1-mesa-glx 10.5.2-0ubuntu1
version.xserver-xorg-core: xserver-xorg-core 2:1.17.1-0ubuntu3
version.xserver-xorg-input-evdev: xserver-xorg-input-evdev 1:2.9.0-1ubuntu2
version.xserver-xorg-video-ati: xserver-xorg-video-ati 1:7.5.0-1ubuntu2
version.xserver-xorg-video-intel: xserver-xorg-video-intel 2:2.99.917-1~exp1ubuntu2.2
version.xserver-xorg-video-nouveau: xserver-xorg-video-nouveau 1:1.0.11-1ubuntu2build1
xserver.bootTime: Mon Jun 22 10:53:54 2015
xserver.configfile: default
xserver.errors:

xserver.logfile: /var/log/Xorg.0.log
xserver.outputs:
 product id 5153
 vendor SHP
xserver.version: 2:1.17.1-0ubuntu3

Jamie Strandboge (jdstrand) wrote :
description: updated
Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in unity (Ubuntu):
status: New → Confirmed
Jamie Strandboge (jdstrand) wrote :

FYI, this is happening daily, if not more, and most of the time I have logout of my session and back in, which is very disruptive.

Jamie Strandboge (jdstrand) wrote :

I also don't see anything in /var/log/kern.log, /var/log/syslog or /var/log/Xorg.0.log when this happens.

Andrea Azzarone (azzar1) wrote :

Does switching tty §(ctrl+alt+f1 followed by ctrl+alt+f7) make the cursor reappear?

Andrea Azzarone (azzar1) wrote :

When this happens does the touchscreen work?

Andrea Azzarone (azzar1) wrote :

Ok, as pointed out by Chris there are backtraces in XorgLogOld.txt:

(EE) [mi] These backtraces from mieqEnqueue may point to a culprit higher up the stack.
(EE) [mi] mieq is *NOT* the cause. It is a victim.
(EE) [mi] EQ overflow continuing. 100 events have been dropped.
(EE)
(EE) Backtrace:
(EE) 0: /usr/bin/X (xorg_backtrace+0x56) [0x7fe465346556]
(EE) 1: /usr/bin/X (QueuePointerEvents+0x52) [0x7fe465202ae2]
(EE) 2: /usr/lib/xorg/modules/input/evdev_drv.so (0x7fe45c147000+0x60ca) [0x7fe45c14d0ca]
(EE) 3: /usr/lib/xorg/modules/input/evdev_drv.so (0x7fe45c147000+0x658d) [0x7fe45c14d58d]
(EE) 4: /usr/bin/X (0x7fe465193000+0x96708) [0x7fe465229708]
(EE) 5: /usr/bin/X (0x7fe465193000+0xbfa79) [0x7fe465252a79]
(EE) 6: /lib/x86_64-linux-gnu/libc.so.6 (0x7fe462e59000+0x352f0) [0x7fe462e8e2f0]
(EE) 7: /usr/bin/X (0x7fe465193000+0x1b7ba0) [0x7fe46534aba0]
(EE) 8: /lib/x86_64-linux-gnu/libc.so.6 (0x7fe462e59000+0x352f0) [0x7fe462e8e2f0]
(EE) 9: /lib/x86_64-linux-gnu/libc.so.6 (ioctl+0x7) [0x7fe462f560b7]
(EE) 10: /usr/lib/x86_64-linux-gnu/libdrm.so.2 (drmIoctl+0x28) [0x7fe46423d7e8]
(EE) 11: /usr/lib/xorg/modules/drivers/intel_drv.so (0x7fe45f438000+0x6a98d) [0x7fe45f4a298d]
(EE) 12: /usr/lib/xorg/modules/drivers/intel_drv.so (0x7fe45f438000+0x10dda2) [0x7fe45f545da2]
(EE) 13: /usr/lib/xorg/modules/drivers/intel_drv.so (0x7fe45f438000+0x10f483) [0x7fe45f547483]
(EE) 14: /usr/bin/X (DRI2SwapBuffers+0x1d0) [0x7fe465319100]
(EE) 15: /usr/bin/X (0x7fe465193000+0x187a7c) [0x7fe46531aa7c]
(EE) 16: /usr/bin/X (0x7fe465193000+0x580a7) [0x7fe4651eb0a7]
(EE) 17: /usr/bin/X (0x7fe465193000+0x5c29b) [0x7fe4651ef29b]
(EE) 18: /lib/x86_64-linux-gnu/libc.so.6 (__libc_start_main+0xf0) [0x7fe462e79a40]
(EE) 19: /usr/bin/X (0x7fe465193000+0x4662e) [0x7fe4651d962e]

Jamie Strandboge (jdstrand) wrote :

"Does switching tty §(ctrl+alt+f1 followed by ctrl+alt+f7) make the cursor reappear?"

No

Jamie Strandboge (jdstrand) wrote :

"When this happens does the touchscreen work?"

Yes

Jamie Strandboge (jdstrand) wrote :

I'm not 100% sure those backtraces apply to this issue (they might). I've seen a couple kernel backtraces too but haven't had anything close to reproducer yet for those, so haven't reported them. I can say when this happens there is no kernel backtrace.

Changed in unity (Ubuntu):
importance: Undecided → High
Changed in unity:
importance: Undecided → High
status: New → Confirmed
Jamie Strandboge (jdstrand) wrote :

FYI, this has happened 3 times today already and none of those times did the cursor come back (tried compiz --replace, unity, the gsettings command, closing apps, going to vt). I had to logout and back in and lose all state. The first time made me late for a meeting.

Jamie Strandboge (jdstrand) wrote :

Also, no EE lines in Xorg.0.log or Xorg.0.log.old:

$ grep '(EE' /var/log/Xorg.0.log*
/var/log/Xorg.0.log: (WW) warning, (EE) error, (NI) not implemented, (??) unknown.
/var/log/Xorg.0.log.old: (WW) warning, (EE) error, (NI) not implemented, (??) unknown.

tags: added: bios-outdated-a04
Changed in xorg (Ubuntu):
importance: Undecided → Low
status: New → Incomplete
Jamie Strandboge (jdstrand) wrote :

I upgraded to A04 and will let you know how it goes. I don't have a reproducer so I'll just watch out for it and report back either way.

Jamie Strandboge (jdstrand) wrote :

Ok, this happened just now with A04 and stock vivid kernel.

$ sudo dmidecode -s bios-version && sudo dmidecode -s bios-release-date
A04
05/15/2015

Changed in xorg (Ubuntu):
status: Incomplete → Confirmed
importance: Low → High
Jamie Strandboge (jdstrand) wrote :

FYI, for unrelated reasons, I started using the 4.0 from wily and the 4.1 kernel from https://launchpad.net/~canonical-kernel-team/+archive/ubuntu/ppa/. I was able to run an X/Unity session under the 4.1.0-1.1~dogfoodv1 kernel for two days without rebooting without the cursor disappearing (I am now using 4.1.0.1.1~rc2 since it has a fix for bug #1473560).

If someone is looking to bisect this, it might be worth starting with the 4.0 kernel that is in wily now. I was using that (with microphone patches for bug #1473560) for a while and never saw the cursor go away (but I'm not sure the longest I ran a session though).

Jamie Strandboge (jdstrand) wrote :

Sigh, with kernel 4.1.0.1.1~rc2 I just had the cursor disappear, so it is not fixed as I had hoped. :\

That said, arround the time this happened I noticed this in syslog:
Jul 16 10:37:33 jamie-XPS-13-9343 kernel: [11297.284147] [drm:intel_cpu_fifo_underrun_irq_handler [i915]] *ERROR* CPU pipe A FIFO underrun

tags: added: latest-bios-a04
removed: bios-outdated-a04

I've also seen on my Fujitsu U904 (3200x1800) connected over DP to the external 4k screen. I've worked around it by using Ctrl to highlight the cursor position until the cursor returns (sometimes it takes more than a couple of hours, and the only sure way to get it back is to log out and log back in — switching to terminal console or suspending and resuming does not help).

Will attach more info once I hit it again.

Jamie Strandboge (jdstrand) wrote :

Thanks for the additional workaround. I didn't happen to have this enabled so I had to:
$ gsettings set org.gnome.settings-daemon.peripherals.mouse locate-pointer true

Kyle Fazzari (kyrofa) wrote :

This happens to me on a Dell M3800 with _no_ external monitor. Probably a few times a week. After anywhere from 5 minutes to a few hours, the cursor comes back. I have to use the touchscreen until then. Man I hate touchscreens.

Cyan Ogilvie (cyan-ogilvie) wrote :

This happens to me too on a 2015 Lenovo X1 Carbon, up-to-date vivid. When it happens (usually after resuming from a suspend, but sometimes during normal usage) the trackpoint, trackpad and touchscreen all still work and UI elements highlight when the cursor is over them, but the cursor itself is invisible.

Sometimes suspending and resuming fixes the issue but usually I have to reboot or restart lightdm. I don't know if the cursor would start working again after a few hours, I can't afford to lose that amount of work time to find out.

Sebastien Bacher (seb128) wrote :

is that specific to unity? seems rather an xorg stack issue than a desktop shell one

Rodrigo (rodhos-hp) on 2015-11-15
tags: added: multimonitor

FWIW, I haven't seen this for a few months now. It's always hard when things are so intermittent, but I think it might be fixed...

Amos (amosfolarin) wrote :

I see this too every so often... but I am usually able to recover the pointer with a suspend then resume.

XPS13 9343

$ uname -a
Linux flexi 3.19.0-33-generic #38-Ubuntu SMP Fri Nov 6 18:18:12 UTC 2015 x86_64 x86_64 x86_64 GNU/Linux

$ cat /etc/*release*
DISTRIB_ID=Ubuntu
DISTRIB_RELEASE=15.04
DISTRIB_CODENAME=vivid
DISTRIB_DESCRIPTION="Ubuntu 15.04"
NAME="Ubuntu"
VERSION="15.04 (Vivid Vervet)"
ID=ubuntu
ID_LIKE=debian
PRETTY_NAME="Ubuntu 15.04"
VERSION_ID="15.04"
HOME_URL="http://www.ubuntu.com/"
SUPPORT_URL="http://help.ubuntu.com/"
BUG_REPORT_URL="http://bugs.launchpad.net/ubuntu/"

Bruno coudoin (bruno-coudoin) wrote :

I have the same problem with KDE on XPS13 2015.. I just got the issue and tried 2 suspend / resume which did not make the cursor to reappear.

Kyle Fazzari (kyrofa) wrote :

When using trusty on my M3800 (4k screen) with an external monitor (also 4k) this happens VERY often-- several times a day. I wonder if it's somehow related to GPU memory. This is really a productivity killer!

Jamie Strandboge (jdstrand) wrote :

I can say for sure that the 16.04 kernels don't exhibit this behavior. I believe the wily release kernel (and later) did not as well.

Jamie Strandboge (jdstrand) wrote :

Wouldn't you know it, after weeks of running 16.04 and not seeing it, I saw it last night.

$ cat /proc/version_signature
Ubuntu 4.3.0-7.18-generic 4.3.3

I'm running 4.3 due to another bug. I've not (yet) seen this bug with a 4.4 kernel.

tags: added: xenial
To post a comment you must log in.